sr = 44100
kr = 4410
ksmps = 10
nchnls = 2



;------------------------------------------------------
; PhyMod VIBES   |
;----------------/
; i 1 p2     p3     p4      p5      p6    p7
; i 1 st     dur    amp     pch     pan   velocity

instr 1

iLowDamp = p5/11
iLowDamp limit iLowDamp,0,1
iLowDamp = sqrt(iLowDamp)

  iAmp      =  ampdb(p4-20 + iLowDamp*20)       ; hohe toene lauter machen
; iFreq = cpspch(p5)                            ; oct.pch
  iFreq     cpsxpch  p5,12, 2.0, 1.01897503906  ; oktave wird ein wenig gespreizt, um die stimmung 
                                                ; dem spektrum anzupassen 

  iPan      = p6          
  iHrd      = p7+(iLowDamp*.08)                  ; Anschlagstaerke
  iPos      = 0.2 + rnd(0.6)                    ; Schlag-Position
  iImpTab   = 1                                 ; Schlag-Impulse Table
  iVibAmp   = 0.05                              ; Amplituden-Vibrato
  iVibFreq  = 6          
  iVibTab   = 2           
  iDec      = .1                               ; "release"zeit vor event-off (buggy?)
  iDoubles  = 0.0001                            ; Wahrscheinlichkeit (%)
  iTriples  = 0.0001                            ;  "


iHrd limit iHrd,0,1

aSig vibes iAmp, iFreq, iHrd, iPos, iImpTab, iVibFreq, iVibAmp, iVibTab, iDec; , iDoubles, iTriples
aEnv expseg 1,p3*.9,1,p3*.1,0.0001

aOut = aEnv * aSig                             

outs aOut*sqrt(1-iPan), aOut*sqrt(iPan)

endin


;------------------------------------------------------
; PhyMod MARIMBA |
;----------------/
; i 2 p2     p3     p4      p5      p6    p7
; i 2 st     dur    amp     pch     pan   velocity

instr 2

iLowDamp = p5/11
iLowDamp limit iLowDamp,0,1
iLowDamp = sqrt(iLowDamp)

  iAmp      = ampdb(p4-40 + iLowDamp*40)            ; hohe toene lauter machen
  iFreq     = cpspch(p5)                            ; oct.pch


  iPan      = p6          
  iHrd      = p7+(iLowDamp*.4)                  ; Anschlagstaerke
  iPos      = 0.4 + rnd(0.2)                    ; Schlag-Position
  iImpTab   = 1                                 ; Schlag-Impulse Table
  iVibAmp   = 0.05                              ; Amplituden-Vibrato
  iVibFreq  = 6          
  iVibTab   = 2           
  iDec      = .1                               ; "release"zeit vor event-off (buggy?)
  iDoubles  = 0.0001                            ; Wahrscheinlichkeit (%)
  iTriples  = 0.0001                            ;  "


iHrd limit iHrd,0,1

aSig  marimba iAmp, iFreq, iHrd, iPos, iImpTab, iVibFreq, iVibAmp, iVibTab, iDec, iDoubles, iTriples
aFilt atone aSig, 400
aEnv  expseg 1,p3*.9,1,p3*.1,0.0001

aOut = aFilt * aEnv

outs aOut*sqrt(1-iPan), aOut*sqrt(iPan)

endin
